__gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc > - Node for splay tree.

SYNOPSIS

#include <node.hpp>

  Public Types

typedef rebind_traits< _Alloc, metadata_type >::const_reference metadata_const_reference
typedef rebind_traits< _Alloc, metadata_type >::reference metadata_reference
typedef Metadata metadata_type
typedef rebind_traits< _Alloc, splay_tree_node_ >::pointer node_pointer
typedef Value_Type value_type

  Public Member Functions

metadata_reference get_metadata ()
metadata_const_reference get_metadata () const
bool special () const

  Public Attributes

metadata_type m_metadata
node_pointer m_p_left
node_pointer m_p_parent
node_pointer m_p_right
bool m_special
value_type m_value

Detailed Description

  template<typename Value_Type, class Metadata, typename _Alloc>
struct __gnu_pbds::detail::splay_tree_node_< Value_Type, Metadata, _Alloc >"Node for splay tree.

Author

Generated automatically by Doxygen for libstdc++ from the source code.